Instalação da versão 2.1.6 no Ubuntu 18.04

#1

Boa Tarde, estou tentando instalar o I-educar num servidor com Ubuntu 18.04, mas estou com problemas de como configurar o nginx para rodar o instalador da ferramenta, já instalei o Nginx, Postgresql, PHP, sendo o php na versão 7.2, postgresql 10, a instalação estou tentando fazer pelo readme do github do I-educar, mas não está, pelo meu ver completo pois não sou expert em Linux, mas consigo fazer alguma coisa, então pergunto tem algum tutorial mais completo para a instalação no ubuntu 18.04, pois observei que nessa versão não usa o apache no seu lugar está sendo usando o nginx, já pelo tutorial para instalação no ubuntu 16.04 não e válido, para algumas etapas. Existe um material mais completo para iniciantes?
Obrigado.

#2

Você irá necessitar de conhecimentos de servidor web para fazer uma instalação do i-Educar.

Atualmente só há suporte para Nginx.
A versão do Postgres tem que ser a 9.5.

Basicamente é copiar os arquivos:

Para a pasta servers ou conf.d do Nginx e alterar o arquivo upstream.conf configurando o socket do PHP.

#3

Oi Bom Dia Eder,

Obrigado pela retorno, acho que esqueci de mencionar a instalação que pretendo fazer e para produção, não sei se vai influenciar o que você passou, vamos ver se eu entendi copio o arquivo "https://github.com/portabilis/i-educar/blob/master/docker/nginx/default.conf, para a pasta " /etc/nginx/sites-available " substituindo o default original isso?
E o arquivo “https://github.com/portabilis/i-educar/blob/master/docker/nginx/upstream.conf” para a pasta servers ou conf.d do Nginx isso ou entendi errado :slightly_smiling_face:

#4

Olá eu de novo, agora estava vendo que você mencionou que a versão do Postgres tem que ser a versão 9.5 eu instalei a versão 10, pois conforme o readme pede a 9.5 ou superior tem muita diferença do banco da ferramenta montada na versão 9.5 para a 10, pode me causar problemas futuros? pois estou tentando instalar como dito na mensagem anterior num servidor dedicado para produção, não pretendo pelo menos não quero a todo momento que a ferramenta comece da dar problema por incompatibilidade do banco de dados. Obrigado pela atenção novamente.

#5

Copie os arquivos para /etc/nginx/sites-enabled.

Você só tem que alterar o arquivo upstream.conf para algo do tipo:

upstream php-fpm {
    server unix:/var/run/php/php7.2-fpm.sock
}

Garantimos que o i-Educar irá rodar na versão 9.5, não temos como garantir que a versão 10 não trará problemas de compatibilidade, por isso é melhor utilizar a versão anterior.

#6

Ok, vou fazer as mudanças e configurações necessárias e posto resultados.

#7

Olá Boa Tarde Pessoal, consegui fazer a instalação após dicas do Edersoares, valeu mesmo só um detalhe no cadastro de Instituições não tem opção de adicionar nova instituição, mostra somente um campo de busca e mostra uma instituição já cadastrada que é “Prefeitura Municipal de Modelópolis” e após acessar a mesma tem opção de editar é isso mesmo? não vou poder adicionar novas instituições no futuro?